curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "getClaimStaticDepositQuote",
"network": "REGTEST",
"params": {
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49"
}
}'
{
"method": "getClaimStaticDepositQuote",
"data": {
"credit_amount_sats": 9901,
"signature": "304402206e61d688bc498b8cd95f798c82c6f087c71d56ef822b04bc268240dba7be8705022077609ae2349b5233455821cd8db7dc36ac9e123b62f983bd1da371034e786dfd",
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49",
"output_index": 1,
"network": "REGTEST"
}
}
Spark BTC
getClaimStaticDepositQuote
Retrieve the quote needed to claim BTC sent to a static deposit address.
POST
/
v1
/
wallets
/
{wallet_id}
/
rpc
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "getClaimStaticDepositQuote",
"network": "REGTEST",
"params": {
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49"
}
}'
{
"method": "getClaimStaticDepositQuote",
"data": {
"credit_amount_sats": 9901,
"signature": "304402206e61d688bc498b8cd95f798c82c6f087c71d56ef822b04bc268240dba7be8705022077609ae2349b5233455821cd8db7dc36ac9e123b62f983bd1da371034e786dfd",
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49",
"output_index": 1,
"network": "REGTEST"
}
}
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"method": "getClaimStaticDepositQuote",
"network": "REGTEST",
"params": {
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49"
}
}'
{
"method": "getClaimStaticDepositQuote",
"data": {
"credit_amount_sats": 9901,
"signature": "304402206e61d688bc498b8cd95f798c82c6f087c71d56ef822b04bc268240dba7be8705022077609ae2349b5233455821cd8db7dc36ac9e123b62f983bd1da371034e786dfd",
"transaction_id": "448f305caf15ec10b2a8286fde6c31ebe2eb30e2018b22a8f7630d3fa2753e49",
"output_index": 1,
"network": "REGTEST"
}
}
Headers
string
required
ID of your Privy app.
string
Request authorization signature. If multiple signatures are required, they should be comma
separated.
string
Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the
request must be processed.
Path Parameters
string
required
ID of the wallet to get.
These wallet methods are modeled after the Spark Wallet
SDK. For more
information about this wallet method, check out the Spark Wallet
documentation.
Body
string
required
Must be set to getClaimStaticDepositQuote.
string
required
Blockchain network to use. Options:
MAINNET, REGTEST.object
required
Hide child attributes
Hide child attributes
string
required
The transaction hash of the BTC sent to the static deposit address.
Returns
enum<string>
required
object
required
Contains the BTC claim quote.
Hide child attributes
Hide child attributes
number
required
The amount of sats credited to the wallet after claiming.
string
required
string
required
The hash of the Bitcoin transaction containing the deposit.
number
required
The index of the output within the transaction that is being claimed.
string
required
The network used (e.g.
REGTEST or MAINNET).Was this page helpful?

